Package org.spongepowered.asm.mixin.extensibility

## Enum IMixinErrorHandler.ErrorAction

- java.lang.Object
- - java.lang.Enum<IMixinErrorHandler.ErrorAction>
  - - org.spongepowered.asm.mixin.extensibility.IMixinErrorHandler.ErrorAction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IMixinErrorHandler.ErrorAction>`
  Enclosing interface:
    IMixinErrorHandler

      public static enum IMixinErrorHandler.ErrorAction
      extends java.lang.Enum<IMixinErrorHandler.ErrorAction>

  Action to take when handling an error. By default, if a config is marked as "required" then the default action will be `ERROR`, and will be `WARN` otherwise.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` | Throw a `MixinApplyError` to halt further processing if possible
    `NONE` | Take no action, this should be treated as a non-critical error and processing should continue
    `WARN` | Generate a warning but continue processing

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Level` | `logLevel` | Logging level for the specified error action

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IMixinErrorHandler.ErrorAction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IMixinErrorHandler.ErrorAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final IMixinErrorHandler.ErrorAction NONE

      Take no action, this should be treated as a non-critical error and processing should continue

    - #### WARN

          public static final IMixinErrorHandler.ErrorAction WARN

      Generate a warning but continue processing

    - #### ERROR

          public static final IMixinErrorHandler.ErrorAction ERROR

      Throw a `MixinApplyError` to halt further processing if possible

  - ### Field Detail

    - #### logLevel

          public final Level logLevel

      Logging level for the specified error action

  - ### Method Detail

    - #### values

          public static IMixinErrorHandler.ErrorAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IMixinErrorHandler.ErrorAction c : IMixinErrorHandler.ErrorAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IMixinErrorHandler.ErrorAction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null